ecore::idle::enterer Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
ecore::idle::enterer Struct Reference

Class enterer. More...

## Public Member Functions
| enterer (Eo *eo)
| Eo Constructor. More...
| enterer (std::nullptr_t)
| nullptr_t Constructor. More...
| enterer (enterer const &other)
| Copy Constructor.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
template<typename F0 , typename F1 >
| enterer (::efl::eo::parent_type _p, _c_before_constructor< F0 > _c0, _c_after_constructor< F1 > _c1)
| Constructs a new ecore::idle::enterer object. More...
template<typename F0 , typename F1 >
| enterer (_c_before_constructor< F0 > _c0, _c_after_constructor< F1 > _c1)
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...

## Static Public Member Functions
template<typename F_func_ >
static _c_before_constructor< F_func_ > | before_constructor (F_func_ &&func_)
template<typename F_func_ >
static _c_after_constructor< F_func_ > | after_constructor (F_func_ &&func_)
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class enterer.

## Constructor & Destructor Documentation

template<typename F0 , typename F1 >

ecore::idle::enterer::enterer | ( | ::efl::eo::parent_type | _p,
|  | _c_before_constructor< F0 > | _c0,
|  | _c_after_constructor< F1 > | _c1
| ) |  |
| inlineexplicit

Constructs a new ecore::idle::enterer object.

Constructs a new ecore::idle::enterer object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Since this class have necessary constructor methods, you must call each one of them in the right place within this constructor parameters.

Example:

ecore::idle::enterer my_enterer(efl::eo::parent = parent_object,
my_enterer.before_constructor(func_),
my_enterer.after_constructor(func_));

See also
  enterer::before_constructor
  enterer::after_constructor
  enterer(Eo* eo)

ecore::idle::enterer::enterer | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

ecore::idle::enterer::enterer | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

template<typename F_func_ >

static _c_before_constructor<F_func_> ecore::idle::enterer::before_constructor | ( | F_func_ && | func_ | ) |
| static

Parameters

  func |
  data |

template<typename F_func_ >

static _c_after_constructor<F_func_> ecore::idle::enterer::after_constructor | ( | F_func_ && | func_ | ) |
| static

Parameters

  func |
  data |